Engineering Papers⌕ Search

SEARCH · Engineering Papers

Results for “Quadrature”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

At least 739 records · Page 41

Ultrasound as a Noninvasive Method to Assess Changes of Intracranial Volume and Pressure During Simulated Microgravity

Headaches are commonly experienced by astronauts in microgravity and by subjects undergoing head-down tilt (simulated microgravity on Earth). Exposure to microgravity probably elevates blood pressure and flow in the head which may increase intracranial volume (ICV) and pressure (ICP) and in turn cause headache. Due to the slightly compliant nature of the cranial vault and the encasement of brain and its vasculature within this vault, any increase of ICV will increase ICP and slightly distend the cranium. Previous studies document perivascular edema and increased ICP in rhesus monkeys during head-down tilt. Elevated ICP has also been reported in humans during head-down tilt. ICP measurements in healthy humans are rare because of the invasiveness of currently-available measurement techniques. Therefore, we proposed a noninvasive ultrasound technique to assess changes of ICV and JCP. The ultrasound principle is based on compliance of the cranial vault. A 450 kHz ultrasound stimulus is transmitted through the cranium by a transducer every 7.5-10 msec. The ultrasound wave enters the brain tissue, reflects off the opposite side of the cranium and is received by the same transducer. The detected wave is compared for phase quadrature (90 deg.to transmitted wave). Because the electronic circuitry of the device maintains a 90 deg. phase (phi), any alterations in the detected wave caused by an increase of ICV and ICP will be reflected as a change in the wave frequency. Phase shift is directly proportional to path length of the wave, DELTA x, which is expressed as DELTA x = phi lambda/2 pi where lambda is wavelength. Elevated ICV and ICP expand the cranial vault and increase path length of the wave (a measure of intracranial distance). Increased path length equals reduced frequency of the detected wave. Reduced frequency is then related to elevated ICP. This technique has potential uses for ICP studies of astronauts in space and head trauma patients on Earth.

Murthy, G.↗

Comparison of Implicit Collocation Methods for the Heat Equation

We combine a high-order compact finite difference scheme to approximate spatial derivatives arid collocation techniques for the time component to numerically solve the two dimensional heat equation. We use two approaches to implement the collocation methods. The first one is based on an explicit computation of the coefficients of polynomials and the second one relies on differential quadrature. We compare them by studying their merits and analyzing their numerical performance. All our computations, based on parallel algorithms, are carried out on the CRAY SV1.

Kouatchou, Jules↗

A 3D High-Order Unstructured Finite-Volume Algorithm for Solving Maxwell's Equations

A three-dimensional finite-volume algorithm based on arbitrary basis functions for time-dependent problems on general unstructured grids is developed. The method is applied to the time-domain Maxwell equations. Discrete unknowns are volume integrals or cell averages of the electric and magnetic field variables. Spatial terms are converted to surface integrals using the Gauss curl theorem. Polynomial basis functions are introduced in constructing local representations of the fields and evaluating the volume and surface integrals. Electric and magnetic fields are approximated by linear combinations of these basis functions. Unlike other unstructured formulations used in Computational Fluid Dynamics, the new formulation actually does not reconstruct the field variables at each time step. Instead, the spatial terms are calculated in terms of unknowns by precomputing weights at the beginning of the computation as functions of cell geometry and basis functions to retain efficiency. Since no assumption is made for cell geometry, this new formulation is suitable for arbitrarily defined grids, either smooth or unsmooth. However, to facilitate the volume and surface integrations, arbitrary polyhedral cells with polygonal faces are used in constructing grids. Both centered and upwind schemes are formulated. It is shown that conventional schemes (second order in Cartesian grids) are equivalent to the new schemes using first degree polynomials as the basis functions and the midpoint quadrature for the integrations. In the new formulation, higher orders of accuracy are achieved by using higher degree polynomial basis functions. Furthermore, all the surface and volume integrations are carried out exactly. Several model electromagnetic scattering problems are calculated and compared with analytical solutions. Examples are given for cases based on 0th to 3rd degree polynomial basis functions. In all calculations, a centered scheme is applied in the interior, while an upwind matching scheme is employed at material interfaces and the Engquist-Majda non-reflecting boundary condition is implemented at the numerical outer boundaries. The staggered leapfrog scheme and the Runge-Kutta methods are utilized for the time integration. Excellent agreements are found between the numerical and analytical solutions.

Liu, Yen↗

Common-Path Heterodyne Laser-Induced Thermal Acoustics for Seedless Laser Velocimetry

We demonstrate the use of a novel technique for the detection of heterodyne laser-induced thermal acoustics signals, which allows the construction of a highly stable seedless laser velocimeter. A common-path configuration is combined with quadrature detection to provide flow direction, greatly improve robustness to misalignment and vibration, and give reliable velocity measurement at low flow velocities. Comparison with Pitot tube measurements in the freestream of a wind tunnel shows root-mean-square errors of 0.67 m/s over the velocity range 0.55 m/s.

Hart, Roger C.↗

Structure Corrections in Modeling VLBI Delays for RDV Data

Since 1997, bimonthly S- and X-band observing sessions have been carried out employing the VLBA (Very Long Baseline Array) and as many as ten additional antennas. Maps of the extended structures have been generated for the 160 sources observed in ten of these experiments (approximately 200,000 observations) taking place during 1997 and 1998. This paper reports the results of the first massive application of such structure maps to correct the modeled VLBI (Very Long Baseline Interferometry) delay in astrometric data analysis. For high-accuracy celestial reference frame work, proper choice of a reference point within each extended source is crucial. Here the reference point is taken at the point of maximum emitted flux. Overall, the weighted delay residuals (approximately equal to 30 ps) are reduced by 8 ps in quadrature upon introducing source maps to model the structure delays of the sources. Residuals of some sources with extended or fast-varying structures improve by as much as 40 ps. Scatter of 'arc positions' about a time-linear model decreases substantially for most sources. Based on our results, it is also concluded that source structure is presently not the dominant error source in astrometric/geodetic VLBI.

Sovers, Ojars J.↗

Method and Apparatus for Assessment of Changes in Intracranial Pressure

A non-invasive method and apparatus for monitoring changes in intracranial pressure which removes extracranial effects from the measurements. The method and apparatus can include the supplying of a fixed frequency electrical output to a transducer coupled to the patient's head, thereby generating an acoustical tone burst in the patient's head which generates a first echo and a second echo, the first echo reflecting from a first interface in the side of the patient's head coupled to the transducer, and the second echo reflecting from a second interface at the opposite side of the patient's head. The first and second echoes are received by the transducer which can generate a first electrical signal and a second electrical signal, wherein the first and second electrical signals vary in accordance with the corresponding first and second echoes. The counterbalancing phase shifts required to bring about quadrature between each of the first and second electrical signals and the fixed frequency electrical output can be measured, and values for the change in intracranial distance based on the changes in the counterbalancing phase shifts can be obtained.

Yost, William T.↗

Implementation of a 622 Mbps Digital Modem

This paper presents the implementation and initial test results of an Orthogonal Frequency Division Multiplexing (OFDM) digital modem (modulator and demodulator) with an aggregate information throughput of 622 megabits per second (Mbps). The OFDM waveform is constructed by dividing an incoming data stream into four channels, each channel using either a 16-ary Quadrature Amplitude Modulation (16QAM) scheme or an 8-Phase Shift Keying (8PSK) scheme. The generation and detection of the composite waveform are performed using Discrete Fourier Transform (DFT) and polyphase filtering, to digitally stack and band-limit the individual carriers respectively. The four-channel OFDM approach enables the implementation of a modem that can be both power and bandwidth efficient, with sufficient parallelism to meet higher data rate goals. As a result, the OFDM modem requires only a 240 MHz bandwidth to transmit 622 Mbps. Hardware and simulation results in the form of spectrum diagrams and bit-error-rate (BER) curves are also presented in this paper.

Kifle, Muli↗

Calculation of Scattering Amplitude Without Partial Analysis: Inclusion of Exchange - II

There was a method for calculating the whole scattering amplitude, f(Omega(sub k)), directly. The idea was to calculate the complete wave function Psi numerically, and use it in an integral expression for f, which can be reduced to a 2 dimensional quadrature. The original application was for e-H scattering without exchange. There the Schrodinger reduces a 2-d partial differential equation (pde), which was solved using the finite element method (FEM). Here we extend the method to the exchange approximation. The S.E. can be reduced to a pair of coupled pde's, which are again solved by the FEM. The formal expression for f(Omega(sub k)) consists two integrals, f+/- = f(sub d) +/- f(sub e); f(sub d) is formally the same integral as the no-exchange f. We have also succeeded in reducing f(sub e) to a 2-d integral. Results will be presented at the meeting.

Temkin, Aaron↗

A Genetic Representation for Evolutionary Fault Recovery in Virtex FPGAs

Most evolutionary approaches to fault recovery in FPGAs focus on evolving alternative logic configurations as opposed to evolving the intra-cell routing. Since the majority of transistors in a typical FPGA are dedicated to interconnect, nearly 80% according to one estimate, evolutionary fault-recovery systems should benefit hy accommodating routing. In this paper, we propose an evolutionary fault-recovery system employing a genetic representation that takes into account both logic and routing configurations. Experiments were run using a software model of the Xilinx Virtex FPGA. We report that using four Virtex combinational logic blocks, we were able to evolve a 100% accurate quadrature decoder finite state machine in the presence of a stuck-at-zero fault.

Lohn, Jason↗

Maximally Informative Statistics for Localization and Mapping

This paper presents an algorithm for localization and mapping for a mobile robot using monocular vision and odometry as its means of sensing. The approach uses the Variable State Dimension filtering (VSDF) framework to combine aspects of Extended Kalman filtering and nonlinear batch optimization. This paper describes two primary improvements to the VSDF. The first is to use an interpolation scheme based on Gaussian quadrature to linearize measurements rather than relying on analytic Jacobians. The second is to replace the inverse covariance matrix in the VSDF with its Cholesky factor to improve the computational complexity. Results of applying the filter to the problem of localization and mapping with omnidirectional vision are presented.

Deans, Matthew C.↗

Preliminary analysis of a CME observed by SOHO and Ulysses Experiments

Over the last week of November 2002 SOHO/LASCO observed several Coronal Mass Ejections, most of which occurring in the NW quadrant. At that time SOHO/UVCS was involved in a SOHO-Sun-Ulysses quadrature campaign, making observations off the west limb of the Sun, at a northern latitude of 27 deg. Here we focus on data taken at 1.7 solar radii, over a time interval of approx. 7 hours, on 26/27 November 2002, when a large streamer disruption was imaged by LASCO C2 and C3 coronagraphs. UVCS spectra revealed the presence of lines from both high and low ionization ions, such as C III, O VI, Si VIII, IX, and XII, Fe X and XVIII, which brighten at different times, with a different time scale and at different positions and are apparently related to different phenomena. In particular, the intensity increase and fast disappearance of the C III 977 Angstrom line represents the passage through the UVCS slit of cold material released in a jet imaged by EIT in the He II 304 Angstrom line. The persistent presence of the Fe XVIII 974 Angstrom line is not easily related to any special feature crossing the UVCS slit. We suggest to interpret this behavior in terms of the reconnection events which lead to the formation of loops observed in the EIT He II 304 Angstrom line.

Bemporad, A.↗

Bandwidth Efficient Baseband Multi-Modulator

The High Rate Baseband Multi-Modulator (HRBM) ASIC is being developed to provide High-speed Bandwidth Efficient Modulations to NASA missions. Bandwidth efficiencies from 2.0 bits/symbol/Hz to 2.75 bits/symbl/Hz are selectable from three CCSDS modulations: Gaussian Minimum Shift Keying (GMSK), Filter Offset Quadrature Phase Shift Keying (Filtered- OQSK) and 8-Phase Shift Keying Trellis Coded Modulation (8-PSK TCM). An FPGA version of the HRBM is developed first to verify the individual modulation designs and characterize timing and performance issues involved with digital baseband modulation synthesis. A Finite Input Response (FIR) filter is included to provided baseband pulse shaping to reduce out-of-band spectral emissions. This is filter is programmable and can be tailored to meet system requirements. The ASIC is targeted to provide up to 600 Mbps throughput and will provide serial as well as parallel input. This paper provides an overview of the technology development and current status.

Fong, Wai↗

A Slow Streamer Blowout at the Sun and Ulysses

On 10 June 2000 a streamer on the southeast limb slowly disappeared from LASCO/C2 over a period of 17 hours. Within this interval, a small CME was reported in C2. Nothing was reported in C3. The ejecta was later detected at Ulysses, which was at quadrature with the Sun and SOHO at the time. The interplanetary CME (ICME) displayed all the properties of a typical ICME. Slow streamer blowouts such as this have long been known but are little studied.

Suess, S. T.↗

The General Equations of Equilibrium of Rotationally Symmetric Membranes and some Static Solutions for Uniform Centrifugal Loading

The general equations of equilibrium of a rotationally symmetrical body undergoing large arbitrary deflections but small strains are derived by means of the principle of virtual work. All deflections are referred to a reference surface which, in general, may be taken to coincide with any intermediate state of the membrane. Static solutions of the general equations for steadily rotating membranes are considered for the cases in which the final or the initial configuration of the membrane is specified. For problems in which the final configuration is specified, conditions are given under which such a configuration is obtainable from a stress-free initial state. Such conditions being satisfied, it is shown that the stresses and radial displacements are determinate while axial displacements may be obtained by quadrature. For problems in which the initial configuration is given, the determination of the stresses and deflections is reduced to the solution of a second-order nonlinear differential equation for a stress function. An approximate method of solution based on boundary-layer considerations is presented for the case of a spinning sphere of constant thickness. Specific examples are given for both classes of problems.

Simmonds, James G.↗

First Detection of the Hatchett-McCray Effect in the High-Mass X-ray Binary

The orbital modulation of stellar wind UV resonance line profiles as a result of ionization of the wind by the X-ray source has been observed in the high-mass X-ray binary 4U1700-37/HD 153919 for the first time. Far-UV observations (905-1180 Angstrom, resolution 0.05 Angstroms) were made at the four quadrature points of the binary orbit with the Far Ultraviolet Spectroscopic Explorer (FUSE) in 2003 April and August. The O6.5 laf primary eclipses the X-ray source (neutron star or black hole) with a 3.41-day period. Orbital modulation of the UV resonance lines, resulting from X-ray photoionization of the dense stellar wind, the so-called Hatchett-McCray (HM) effect, was predicted for 4U1700-37/HD153919 (Hatchett 8 McCray 1977, ApJ, 211, 522) but was not seen in N V 1240, Si IV 1400, or C IV 1550 in IUE and HST spectra. The FUSE spectra show that the P V 1118-1128 and S IV 1063-1073 P-Cygni lines appear to vary as expected for the HM effect, weakest at phase 0.5 (X-ray source conjunction) and strongest at phase 0.0 (X-ray source eclipse). The phase modulation of the O VI 1032-1037 lines, however, is opposite to P V and S IV, implying that O VI may be a byproduct of the wind's ionization by the X-ray source. Such variations were not observed in N V, Si IV, and C IV because of their high optical depth. Due to their lower cosmic abundance, the P V and S IV wind lines are unsaturated, making them excellent tracers of the ionization conditions in the O star's wind.

Sonneborn, G.↗

The North Pacific as a Regulator of Summertime Climate Over North America and the Asian Monsoon

The interannual variability of summertime rainfall over the U.S. may be linked to climate anomalies over Pacific and East Asia through teleconnection patterns that may be components of recurring global climate modes in boreal summer (Lau and Weng 2002). In this study, maintenance of the boreal summer teleconnection patterns is investigated. The particular focus is on the potential effects of North Pacific air-sea interaction on climate anomalies over the U.S. Observational data, reanalysis and outputs of a series of NASA NSIPP AGCM and AGCM coupled to NASA GSFC MLO model experiments are used. Statistical analysis of observations and NSIPP AMIP type simulations indicates that, the interannual variability of observed warm season precipitation over the U.S. is related to SST variation in both tropical and North Pacific, whereas the NSIPP AMIP simulated summertime US. precipitation variation mainly reflects impact of ENS0 in tropical Pacific. This implies the potential importance of air-sea interaction in North Pacific in contributing to the interannual variability of observed summer climate over the U.S. The anomalous atmospheric circulation associated with the dominant summertime teleconnection modes in both observations and NSIPP AMIP simulations are further diagnosed, using stationary wave modeling approach. In observations, for the two dominant modes, both anomalous diabatic heating and anomalous transients significantly contribute to the anomalous circulation. The distributions of the anomalous diabatic heating and transient forcing are quadrature configured over North Pacific and North America, so that both forcings act constructively to maintain the teleconnection patterns. The contrast between observations and NSIPP AMIP simulations from stationary wave modeling diagnosis confirms the previous conclusion based on statistical analysis. To better appreciate the role of extra-tropical air-sea interaction in maintaining the summertime teleconnection pattern, various dynamical and physical fields and their inter- linkage in the series of NSIPP AGCM and AGCM coupled to MLO model experiments are examined in-depth. Based on comparison between different model experiments, we will discuss the physical and dynamical mechanisms through which the air-sea interaction in extratropics, and transient mean flow interactions over the North Pacific, affects interannual variation of U.S. climate during boreal summer.

Lau, William K. M.↗

Space proton transport in one dimension

An approximate evaluation procedure is derived for a second-order theory of coupled nucleon transport in one dimension. An analytical solution with a simplified interaction model is used to determine quadrature parameters to minimize truncation error. Effects of the improved method on transport solutions with the BRYNTRN data base are evaluated. Comparisons with Monte Carlo benchmarks are given. Using different shield materials, the computational procedure is used to study the physics of space protons. A transition effect occurs in tissue near the shield interface and is most important in shields of high atomic number.

NASA Discipline Number 45-10↗

Robust Timing Synchronization in Aeronautical Mobile Communication Systems

This work details a study of robust synchronization schemes suitable for satellite to mobile aeronautical applications. A new scheme, the Modified Sliding Window Synchronizer (MSWS), is devised and compared with existing schemes, including the traditional Early-Late Gate Synchronizer (ELGS), the Gardner Zero-Crossing Detector (GZCD), and the Sliding Window Synchronizer (SWS). Performance of the synchronization schemes is evaluated by a set of metrics that indicate performance in digital communications systems. The metrics are convergence time, mean square phase error (or root mean-square phase error), lowest SNR for locking, initial frequency offset performance, midstream frequency offset performance, and system complexity. The performance of the synchronizers is evaluated by means of Matlab simulation models. A simulation platform is devised to model the satellite to mobile aeronautical channel, consisting of a Quadrature Phase Shift Keying modulator, an additive white Gaussian noise channel, and a demodulator front end. Simulation results show that the MSWS provides the most robust performance at the cost of system complexity. The GZCD provides a good tradeoff between robustness and system complexity for communication systems that require high symbol rates or low overall system costs. The ELGS has a high system complexity despite its average performance. Overall, the SWS, originally designed for multi-carrier systems, performs very poorly in single-carrier communications systems. Table 5.1 in Section 5 provides a ranking of each of the synchronization schemes in terms of the metrics set forth in Section 4.1. Details of comparison are given in Section 5. Based on the results presented in Table 5, it is safe to say that the most robust synchronization scheme examined in this work is the high-sample-rate Modified Sliding Window Synchronizer. A close second is its low-sample-rate cousin. The tradeoff between complexity and lowest mean-square phase error determines the rankings of the Gardner Zero-Crossing Detector and both versions of the Early-Late Gate Synchronizer. The least robust models are the high and low-sample-rate Sliding Window Synchronizers. Consequently, the recommended replacement synchronizer for NASA's Advanced Air Transportation Technologies mobile aeronautical communications system is the high-sample-rate Modified Sliding Window Synchronizer. By incorporating this synchronizer into their system, NASA can be assured that their system will be operational in extremely adverse conditions. The quick convergence time of the MSWS should allow the use of high-level protocols. However, if NASA feels that reduced system complexity is the most important aspect of their replacement synchronizer, the Gardner Zero-Crossing Detector would be the best choice.

Xiong, Fu-Qin↗